petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSegBufferGet

get new buffer space from a segmented buffer

### Synopsis

    PetscErrorCode PetscSegBufferGet(PetscSegBuffer seg,size_t count,void *buf)

Not Collective

### Input Arguments

| seg | - address of segmented buffer
| count | - number of entries needed

### Output Argument

buf -address of new buffer for contiguous data

### See Also

PetscSegBufferCreate(), PetscSegBufferExtractAlloc(), PetscSegBufferExtractTo(), PetscSegBufferExtractInPlace(), PetscSegBufferDestroy()

Level:developer
Location:src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages